/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Exadata storage server.
 */
export interface ExternalStorageServerDiscoverySummary extends model.EntityDiscovered {
    /**
     * The IP address of the storage server.
     */
    "ipAddress"?: string;
    /**
     * The make model of the storage server.
     */
    "makeModel"?: string;
    /**
     * The cpu count of the storage server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cpuCount"?: number;
    /**
     * The memory size in GB of the storage server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryGB"?: number;
    /**
     * The connector name of the storage server in rediscovery case.
     */
    "connectorName"?: string;
    "entityType": string;
}
export declare namespace ExternalStorageServerDiscoverySummary {
    function getJsonObj(obj: ExternalStorageServerDiscoverySummary, isParentJsonObj?: boolean): object;
    const entityType = "STORAGE_SERVER_DISCOVER_SUMMARY";
    function getDeserializedJsonObj(obj: ExternalStorageServerDiscoverySummary, isParentJsonObj?: boolean): object;
}
